# Package org.apache.ivy.plugins.repository.ssh

Class Summary
Class | Description
--- | ---
AbstractSshBasedRepository |
Scp | This class is using the scp client to transfer data and information for the repository.
SshCache | a class to cache SSH Connections and Channel for the SSH Repository each session is defined by connecting user / host / port two maps are used to find cache entries one map is using the above keys, the other uses the session itself
SshRepository | Ivy Repository based on SSH
SshResource | Resource for SSH Ivy Repository

Exception Summary
Exception | Description
--- | ---
RemoteScpException | This exception will be used for Remote SCP Exceptions (failures on the target system, no connetion probs)